; fdm81.plt - reproduce Figs. 2, 3, & 4 from Neely (1981)

head=no : clip=y : pltyp=line : sizfac=3.5 : yhor=y : ticdir=in
xlen=2.4 : ylen=1.8
xmin=0 : xmax=1 : xint=5.2 : xfmt=f.1
xdat=$1 : zdat=0 : select=

; basilar membrane admittance
xllc=0.9

newframe
tlab=admittance
yllc=4.5 : xanskp=-1 : xlab=
ymin=-130 : ymax=-30 : yper=100 : yint=10 : yanskp=1
ylab=magnitude (dB)
ydat=$6
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

newframe
tlab=
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-4 : ymax=0 : yper=80 : yint=4.2 : yanskp=0
ylab=phase (cycles)
ydat=$7+1
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

; pressure difference across the cochlear partition
tlab=pressure
xllc=4.3

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=70 : ymax=170 : yper=100 : yint=10 : yanskp=1
ylab=magnitude (dB)
ydat=$2
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

newframe
select=$2>=70
tlab=
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-4 : ymax=0 : yper=80 : yint=4.2 : yanskp=0
ylab=phase (cycles)
ydat=$3+1
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

; basilar membrane displacement
xllc=7.7

newframe
select=
tlab=displacement
yllc=4.5 : xanskp=-1 : xlab=
ymin=-70 : ymax=30 : yper=100 : yint=10 : yanskp=1
ylab=magnitude (dB)
ydat=$4
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

newframe
select=$2>=70
tlab=
yllc=2.4 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-4 : ymax=0 : yper=80 : yint=4.2 : yanskp=0
ylab=phase (cycles)
ydat=$5+1
include fdm81_0.dat
plot
include fdm81_1.dat
plot
include fdm81_2.dat
plot
include fdm81_3.dat
plot
include fdm81_4.dat
plot
include fdm81_5.dat
plot
include fdm81_6.dat
plot
include fdm81_7.dat
plot
include fdm81_8.dat
plot
include fdm81_9.dat
plot

